@echo off
setlocal

REM Size settings for my Lenovo Windows 11 laptop to generate screenshots of size 1400 x 1050.
REM Use Tcl3D-Full distribution and stick SpaceMouse to laptop.

REM First produce screenshots for all demos with default settings.
tclsh presentation.tcl --size 1396 1003 --auto --screenshot

REM To look good some demos need to run a little longer.
tclsh presentation.tcl --size 1396 1003 --auto --screenshot --wait 4 LibrarySpecificDemos\tcl3dOgl\tcl3dChaos.tcl
tclsh presentation.tcl --size 1396 1003 --auto --screenshot --wait 3 LibrarySpecificDemos\tcl3dOgl\animlogo.tcl

REM As OSG demos are not reentrant, produce screenshots for all OSG demos
REM by calling the presentation framework for each individual file.
tclsh CreateScreenshots.tcl OpenSceneGraph 1396 1003

